BEGIN CMGKALI3




IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("BloodRavenResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~Ah, you, mighty warrior who defeated me. Why did you resurrect me?~
   ++ ~I wanted to know more about Kali.~ + briefingNV1
   ++ ~I want to spare with you again.~ + briefingNV2   
   ++ ~I wanted to defeat you again!~ + briefing3f
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("BloodRavenResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~Ah, you. Why did you resurrect me?~
   ++ ~I wanted to know more about Kali.~ + briefingNV1
   ++ ~I want to spare with you again.~ + briefingNV2  
   ++ ~I wanted to defeat you again!~ + briefing3f
END


IF ~~ briefingNV1
  SAY ~I don't know that much, it's Lilith and Marial theme. I just crush skulls and violently feast upon enemies.~
  ++ ~Join my party, Blood Raven, I need a good warrior like you.~ + briefing2  
  ++ ~You are free. I release you.~ + briefing3
  ++ ~Die, bloodsucker!~ + briefing3f
END



IF ~~ briefingNV2
  SAY ~I see, you got the same warrior spirit in you.~
  ++ ~Join my party, Blood Raven.~ + briefing2w  
  ++ ~You are free. I release you.~ + briefing3
  ++ ~Die, bloodsucker!~ + briefing3f
END


IF ~~ briefing2
  SAY ~Let the enemies of Kali run and hide, I will drain them all!~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("BloodRavenResurrected","GLOBAL",2)
  DestroyItem("VVHKALI3")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END


IF ~~ briefing2w
  SAY ~That what do I wait? Let's have a good slaughter!~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("BloodRavenResurrected","GLOBAL",2)
  DestroyItem("VVHKALI3")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~I'll rip your heart!~
  IF ~~ THEN DO ~SetGlobal("BloodRavenResurrected","GLOBAL",2)
    SetGlobal("BloodRavenLeft","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ briefing3
  SAY ~Goodbye, <CHARNAME>.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("BloodRavenResurrected","GLOBAL",2)
DestroySelf()
~ EXIT
END

 IF ~~ vampStronghold
  SAY ~See you there.~
  IF ~~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[1680.636],W)~ EXIT
END


IF ~~ strongholdBodhi
  SAY ~See you there.~
  IF ~~ THEN DO ~
    LeaveParty()
  RunAwayFromNoInterrupt(LastTalkedToBy(Myself),30)
   MoveBetweenAreas("AR0808",[1215.485],N)
   RandomWalk()~ EXIT
END

//when thrown out
IF ~!Gender(Player1,FEMALE)
!InParty(Myself)~ THEN BEGIN GreetingVManSB1
SAY ~Need my strength?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 IF ~!BeenInParty("cmgblood")~ THEN REPLY  ~Come with me, Blood Raven, there are enemies to crush.~ GOTO briefing2
 IF ~BeenInParty("cmgblood")~ THEN REPLY ~Come with me, Blood Raven, there are enemies to crush.~ GOTO notparty1

 ++ ~Stay here, Blood Raven, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3 
 ++ ~I decided to kill you.~ + briefing3f
END

IF ~~ notparty2
SAY ~I don't like talking.~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!InParty(Myself)~ THEN BEGIN GreetingVFemSB1
SAY ~Need my strength?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 IF ~!BeenInParty("cmgblood")~ THEN REPLY  ~Come with me, Blood Raven, there are enemies to crush.~ GOTO briefing2
 IF ~BeenInParty("cmgblood")~ THEN REPLY ~Come with me, Blood Raven, there are enemies to crush.~ GOTO notparty1
 ++ ~Stay here, Blood Raven, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to kill you.~ + briefing3f
END





IF ~~ notparty1
  SAY ~Let's rip through enemy hordes!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~I just throught I need time to rest.~
   IF ~~ THEN DO ~MakeGlobal()
   LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[536.788],S)~ EXIT
 END  

// talk in party

IF ~!Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~<CHARNAME>, what?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 ++ ~Are you hungry? You can suck my blood, Blood Raven.~ + suckblood
 ++ ~Tell me your story, Blood Raven.~ + talkBloodRavenM
 ++ ~Tell me about goddess Kali, Blood Raven.~ + talkBloodRavenKaliM
 ++ ~No, nothing right now, Blood Raven.~ + byesilent
  ++ ~I decided to kill you.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~<CHARNAME>, what?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 ++ ~Are you hungry? You can suck my blood, Blood Raven.~ + suckblood
 ++ ~Tell me your story, Blood Raven.~ + talkBloodRavenF
 ++ ~Tell me about goddess Kali, Blood Raven.~ + talkBloodRavenKaliF 
 ++ ~No, nothing right now, Blood Raven.~ + byesilent
  ++ ~I decided to kill you.~ + briefing3f
END

IF ~!Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, what?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 ++ ~Are you hungry? You can suck my blood, Blood Raven.~ + suckblood
 ++ ~Make me a vampire, Blood Raven.~ + vampconvm
 ++ ~Tell me your story, Blood Raven.~ + talkBloodRavenM
 ++ ~Tell me about goddess Kali, Blood Raven.~ + talkBloodRavenKaliM 
 ++ ~No, nothing right now, Blood Raven. Sorry.~ + byesilent
   ++ ~I decided to kill you.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, what?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 ++ ~Are you hungry? You can suck my blood, Blood Raven.~ + suckblood
 ++ ~Make me a vampire, Blood Raven.~ + vampconvf 
 ++ ~Tell me your story, Blood Raven.~ +   talkBloodRavenF
  ++ ~Tell me about goddess Kali, Blood Raven.~ + talkBloodRavenKaliF
 ++ ~No, nothing right now, Blood Raven. Sorry for disturbance.~ + byesilent
   ++ ~I decided to kill you.~ + briefing3f
END

IF ~~ byesilent
SAY ~Arrrr!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkBloodRavenM
  SAY ~My barbarian tribe lived on border of Calimshan. One day I went to scout missing and met Lilith. We fought, but she was victorious and instead of killing me made me a vampire.~
  IF ~~ THEN GOTO talkBloodRavenM2
END

IF ~~ talkBloodRavenM2
  SAY ~I really like my form. There is no reason to live, if you don't bathe in blood of enemies. These new powers gave me more strength. Last hundred years I live how I like, kill anyone I want, take everything I want.~
  IF ~~ THEN GOTO talkBloodRavenM3
END

IF ~~ talkBloodRavenM3
  SAY ~I am glad you joined our Cult. Kali loves bloodshed, so be a good follower and make her enjoying.~
  IF ~~ THEN EXIT
END


IF ~~ talkBloodRavenF
  SAY ~My barbarian tribe lived on border of Calimshan. One day I went to scout missing and met Lilith. We fought, but she was victorious and instead of killing me made me a vampire.~
  IF ~~ THEN GOTO talkBloodRavenF2
END

IF ~~ talkBloodRavenF2
  SAY ~I really like my form. There is no reason to live, if you don't bathe in blood of enemies. These new powers gave me more strength. Last hundred years I live how I like, kill anyone I want, take everything I want.~
  IF ~~ THEN GOTO talkBloodRavenF3
END

IF ~~ talkBloodRavenF3
  SAY ~I am glad you joined our Cult, sister.~
  IF ~~ THEN EXIT
END


IF ~~ suckblood
  SAY ~No need to repeat second time!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~No, I will not!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ suckblood2
  SAY ~What an ambrosiac!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,95,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Blood Raven violently jumps on you. She is tearing off your shirt.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Blood Raven violently jumps on you. She is tearing off your shirt.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Blood Raven.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Blood Raven. Blood Raven is a beautiful and strong war machine of murder. She likes straight actions.)~

  IF ~~ THEN DO ~  
  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,STR,4,ADD)
		ChangeStat(Player1,CON,0,ADD)
		ChangeStat(Player1,WIS,-2,ADD)
		ChangeStat(Player1,INT,-2,ADD)
	

		SetGlobal("Blood RavenVampirized","GLOBAL",1)	
	~ EXIT
END

IF ~~ talkBloodRavenKaliF
  SAY ~I like Kali. She enjoys bloodbaths and conquering. That is why I am supporting this Cult.~
  IF ~~ THEN DO ~~ EXIT
END



IF ~~ talkBloodRavenKaliM
  SAY ~I like Kali. She enjoys bloodbaths and conquering. That is why I am supporting this Cult.~
  IF ~~ THEN DO ~~ EXIT
END